commit c3d7dfac7b8dba7c205170ce55428a35eb4d4ce7
Merge: 2ec6109 0ed2f39
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Mar 16 22:05:15 2010 -0500

    Merge branch 'master' into pm-utils-1.3
    
    Conflicts:
    	src/import-fdi-quirkdb.in

commit 0ed2f3950e4797c592d89dcbe9d2bc194e560a2c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 23:11:39 2010 -0500

    Fix import-fdi-quirkdb
    
    Magic foo_outof regex munging code was not working due to a deplorable lack of extglob.
    Compaq biosen have some truly hideous identifiers.
    Hmmm... lenovo fdi file seems to use slightly looser XML.

commit 2ec6109275a7ff6b3aa859c9981299e85ff68173
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 23:11:39 2010 -0500

    Fix import-fdi-quirkdb
    
    Magic foo_outof regex munging code was not working due to a deplorable lack of extglob.

commit ff649497ad05fc7a7e7a2d33f7e91174f61da5ac
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 21:50:14 2010 -0500

    Bump docbook revision for the manpage sources to 4.5

commit 41313a747ab99b0c4cc1995c7e54cbeb185dbcbe
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 21:43:39 2010 -0500

    Bump revision to 1.3.0

commit 8716abfa75f0e7d227fdba1d31cd65a7b9b9348c
Merge: 509f6ba 0fca81b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 21:41:53 2010 -0500

    Merge branch 'master' into pm-utils-1.3

commit 0fca81b9a39b31a8103f1380953948c722e2b331
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Feb 15 16:50:27 2010 +0100

    Fix a small typo ('lits') in pm-action.8
    
    Reported as Debian bug:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567084

commit 916a6dc5008b51e63c1708b66eb1847c9f8dc72e
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Feb 15 00:38:44 2010 +0100

    Small fix for 309fba58adaf8c57df6cb91411c81eae336e82dc

commit 309fba58adaf8c57df6cb91411c81eae336e82dc
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Wed Feb 3 22:19:31 2010 +0100

    Rename, for consistency's sake

commit 8fb0119543fc186786ff5dd10cccab066ede1860
Author: Rafał Miłecki <zajec5@gmail.com>
Date:   Wed Feb 3 21:27:27 2010 +0100

    Fix typo in regexp, replacing ; char
    
    Replace all occurences of ; not only the first one
    
    Signed-off-by: Rafał Miłecki <zajec5@gmail.com>

commit d1cf11b9be14dd88bc1eeb9b7cd729fbcee632f7
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Feb 3 11:34:58 2010 -0800

    fix alternatives matching in native quirks DB
    
    The native quirks DB separates alternatives with ';'. For regexp matching, turn
    those into '|', so that they will actually match.

commit e5b0df69127b32f974cf9506460e7852cd25b8e4
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Feb 3 11:06:17 2010 -0800

    fix usage of find_native()
    
    98-video-quirk-db-handler expects find_native() to write the quirks to stdout,
    so actually do write them there. This makes the native quirks work.

commit 665bad4f548f19ab8706026c646e44cdab8c37f9
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Tue Feb 2 17:40:14 2010 -0800

    fix DMI attribute matching
    
    canonicalize_dmivar() refused the valid property "system.firmware.release_date"
    because of a missing '_' in the character filter.

commit 509f6badd8ffcc40bd3393d8c222ee8adacfa6b6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Dec 25 10:45:24 2009 -0600

    chvt again when using nvidia binary driver
    
    Certian newer nvidia binary drivers do not chvt in kernelspace, which
    leads to reported lockups.  Go ahead and have them chvt in userspace again.

commit e0b016fd42d3e2c279f730bd0f400933267d6fdb
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:55:02 2009 -0600

    Bump revision to rc3

commit 8e4dc224482476b5f186375bedf1e4c809e4b727
Merge: 455709e a253fe1
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:54:03 2009 -0600

    Merge branch 'pm-utils-1.3'

commit a253fe1a2f1aa6b9a4cd3305c0c683efc289f824
Merge: 8cb8fb3 3aba018
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:53:45 2009 -0600

    Merge is_set fix from 1.2 branch

commit 3aba018a220356f519f1066f6116642266559028
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:52:05 2009 -0600

    Oops, the "simple" bugfix for is_set broke everything else.

commit 8cb8fb33ce7450ea975a6e51a9516e31b9b18eb8
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 23:04:23 2009 -0600

    Fix silly typo in pm-action.xml

commit acf18d73b52a8b0b3b37746ced5e699b0fe79577
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 23:02:25 2009 -0600

    Bump to pm-utils-1.3.0-rc2

commit 7897b32ab1a3878a053e800bf314911d8d56a803
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 23:01:31 2009 -0600

    Bump to 1.2.7-rc1

commit 455709ea9df7e64cc0d29e18d0cdf0735bb69613
Merge: 8680e68 da03ab1
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:59:25 2009 -0600

    Merge branch 'pm-utils-1.3'

commit da03ab146c022b685b096ed7fe118eb4bb29ee6e
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:57:00 2009 -0600

    Use --quirk-test to override the usual sanity checks.
    
    This can be useful for testing to see if your system requires an unusual set
    of quirks, but can also make your system crash in new and exciting ways across
    suspend/resume.  You have been warned.

commit d92323cbcb3c35896cc2969ff2fa9cb1d8365361
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:40:58 2009 -0600

    Update 98-video-quirk-db-handler to reflect recent bug fixes
    
    Some longstanding typos in the quirks were fixed in 98smart-kernel-video.
    Update the new quirk handling machinery to take those fixes into account.

commit 03b34a925efebf3cc98939cfbb8e58a4408b5f93
Merge: d1ebbc4 2c79827
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:37:05 2009 -0600

    Merge branch 'pm-utils-1.2' into pm-utils-1.3
    
    Conflicts:
    	pm/sleep.d/98smart-kernel-video

commit 8680e685ab091d74eb5063393806a3a3f1894f5d
Merge: f3886ca 2c79827
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:36:18 2009 -0600

    Merge branch 'pm-utils-1.2'

commit 2c7982708aea4296cdd238b224fc9b0b99f117b8
Author: Christian Krause <chkr@plauener.de>
Date:   Thu Dec 10 22:34:14 2009 -0600

    Fix pci-save vs save-pci related typos
    
    - fix wrong function calls to pci_restore and pci_save which did
    not match the actual defined functions (restore_pci and save_pci)
    - use the correct quirk parameter in "remove_paramters"
    (use --quirk-save-pci instead of --quirk-pci-save)

commit 7f1732c08db46d76692cb2860c38d5e6d3987cc8
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Dec 10 21:58:38 2009 -0600

    [PATCH] Fix vga-mode-3 typo in video hooks
    
    We have been using vga-mode3 while the standard says vga-mode-3.
    This might fix (or even break) some resume issues on hardware which did
    not have any video quirks, since the option is set in
    fdi/information/10freedesktop/99-video-quirk-default.fdi from hal-info.
    
    http://bugs.freedesktop.org/show_bug.cgi?id=25334
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    
    Signed-off-by: Victor Lowther <victor.lowther@gmail.com>

commit 74ddb985b306c83db3fcd70605b0901b2a8309d6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 21:39:01 2009 -0600

    Fix bug# 25547, make pm-action options formatting correct.

commit d1ebbc409abd43c1b8a96640516aff48f2492027
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Dec 7 19:10:55 2009 -0600

    Updated pm-action documentation to describe the new return values.

commit 09da44bedc97ddd75e77ed87b7a057dc21e01a38
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Dec 7 19:02:35 2009 -0600

    Track suspend/hibernate failures and exit accordingly.
    
    It turns out that echo whatever >/sys/power/state will fail if
    transitioning to that state fails.  If transitioning to the
    reuested power state fails, pm-action will return an error code
    greater or equal than 128.

commit f7df23f2928f63c38ef4b307b4312787f1a715bc
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 6 13:32:33 2009 -0600

    Resolve bug# 25427

commit 57ff1f997d6297557340057e9fdbb2f956b31aa0
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 21:50:19 2009 -0600

    Update revision to reflect rc status, and make manpage actually build.

commit ab89e5758bc07d1506050d97b4d9ff5a051b6681
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 21:29:01 2009 -0600

    Update import-fdi-quirkdb to make it a little more flexible.
    
    It now takes two optional arguments -- $1 is the location of the .fdi
    quirks, and $2 is the place to put them.

commit 946ba5c8fa6e1d46b0bb205a0b2a98cc4261a480
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 12:02:18 2009 -0600

    Add reference to README.debugging in the pm-action manpage.

commit 00a867384055d98b6431ffca86ac664b2cacf614
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:52:56 2009 -0600

    Bump revision number to 1.3.0

commit c016155ca72c86bfefe397de4310f53566a1c246
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:51:33 2009 -0600

    Updated pm-action manpage to reflect recent changes.
    
    We have --store-quirks-as-lkw instead of --store-quirks-as-fdi, and
    the default kernel methods have a suspend-hybrid implementation that
    has a 900 second delay between suspending and hibernating.

commit cc971769598b08e8a29b5319048c59c41a0b2f2f
Merge: 71c88ca 8cadf34
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:11:01 2009 -0600

    Merge branch 'profiling-support' into native-quirk-db

commit 71c88ca37b0be0ad35555c53e4e059f014592eff
Merge: c6b37b9 f3886ca
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:10:50 2009 -0600

    Merge branch 'master' into native-quirk-db

commit c6b37b9a0d5f12b7067bf24627af19fed6bcde5a
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 20:39:03 2009 -0600

    Oops, spell nouveau correctly.

commit f3886cadd361f9f1659c2f555e5a0e74ed9422b6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 12:35:04 2009 -0600

    Add support for hibernate after suspend.
    
    Do this by adding a default suspend_hybrid sleep method. With the
    default settings, we schedule an alarm for 15 minutes from now, suspend,
    and hibernate if we wake up in 15 minutes.

commit 51f39d7b0e2b4b639392dc64c17fece0f972c085
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 10:52:47 2009 -0600

    Oops, actually cache the dmi variables again if we need to update
    the last known working quirk.

commit 9b2e067bedd6d3f5351e6849b7d371fa1c9accda
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 00:30:04 2009 -0600

    Add some documentation on native quirk handling.
    
    Also add the functionality the documentation mentions.

commit 6a47db417d37828389cdaaf68818478ca0a51ec8
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 22:50:39 2009 -0600

    Clean up on_ac_power modifications.
    
    Ugh, backticks.

commit 557b67691b14c580e57cdefbf9faf2852c1e6c77
Merge: 8b08ffd f323e2c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 22:42:39 2009 -0600

    Merge branch 'master' into native-quirk-db
    
    Conflicts:
    	pm/sleep.d/98smart-kernel-video
    
    98smart-kernel-video no longer exists, but we want the other fixups in the
    master branch.

commit 8b08ffdb3cf8ecce10309d7149474797832631d2
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 18:18:31 2009 -0600

    Some final fixups to make the built-in video quirk database handling work.

commit 591d9757685ae95795dbdc9fb3958325c2fab962
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 17:46:26 2009 -0600

    Oops, forgot up update Makefile.am

commit f323e2cf2eddd683721be4eadbdc82f0454e7190
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Nov 25 12:37:57 2009 +0100

    some documentation updates for DeviceKit-power
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25274

commit c7df9ec51d914ff06007414651c89750dbdb3745
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Nov 25 12:35:28 2009 +0100

    pm-functions.in: Drop $CHASSIS_TYPE
    
    $CHASSIS_TYPE is not used anywhere in pm-utils itself, nor any third-party
    pm-utils hook that I can see. It relies on a dmidecode map in hal which has
    never really been robust, and it just seems generally obsolete nowadays.
    
    Let's not proliferate that any further and just remove it entirely.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25274

commit 7cf2894a69cb5627fd9949bf065cb1c631b84bc5
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Nov 25 12:31:34 2009 +0100

    on_ac_power: DeviceKit-power support
    
    Try to contact DeviceKit-Power in on_ac_power, and if it succeeds, use that.
    Otherwise fall back to hal.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25274

commit 738bfc88110d0f0a7a64b754875358a1a870bded
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Nov 30 09:51:41 2009 +0100

    Fix a typo in have_kms
    
    The nvidia driver is called "nouveau", not "noveau".
    Thanks to Julien Cristau for spotting this.

commit ea9c198040f9b70f474ef8297e227e70f56aa505
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 16 11:07:39 2009 -0600

    Actaully add the new .fdi importing script.

commit c4f1ddf6b31dc24e0181dea1d0495fc359f4d2d9
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 16 11:07:08 2009 -0600

    Extract out the bits that handle translating .fdi files into their own
    script.
    
    Integrating video quirk db handling into pm-utils requires splitting out
    database querying from database importing anyways.

commit 281bcef4c81e4a9751923bb6ea64669d1f9aba5d
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 16 10:30:10 2009 -0600

    Start merging native quirk handling functionality into pm-utils

commit 018525d16a874dac627d780e8ac6928ace702d60
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 15 22:30:50 2009 -0600

    Make pm-utils handle video quirks natively
    
    Add video-quirk-db-handler, which knows how to read the video .fdi files,
    translate them into a native format, and use that native format to find the
    appropriate quirks for a given system.
    
    This hook replaces 00auto-quirk and 98smart-kernel-video.

commit dc0963283565bd67154ed8584f8c3f28b43b3807
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Nov 12 21:28:55 2009 -0600

    Bump to 1.2.6.1
    
    Oops, broke smart non-KMS modesetting for Intel.

commit 067ab317cee676d523d1954d1aeb04a6cc8df139
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Nov 12 21:26:22 2009 -0600

    Add back have_smart_intel
    
    We still need to consider the case where i915 is used with modesetting
    disabled. So revert the have_smart_intel removal in
    504faf0a0c31cbdbc03a608cf633d58f12e49eb7.  Thanks, mbiebl!

commit 898b46860ad7aa509098e3e454e30c2f3d7b4dea
Merge: aa049b6 f66bfc9
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Sun Nov 8 17:10:57 2009 +0100

    Merge branch 'master' into pm-utils-1.2

commit f66bfc9193862450c64deb55c063171ec3985522
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Sun Nov 8 17:09:19 2009 +0100

    Fix typo in pm-action.8
    
    Patch by Mario Lang.
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=540122

commit 3dfbf269209ee4e1252d5de6cd2fe4ea78d91d68
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Sun Nov 8 17:05:18 2009 +0100

    Don't err out in maybe_deallocvt if there is no console state
    
    kpowersave pops up a window telling that an error "1" has occurred when
    suspending to ram. The error "1" message is annoying and lacks meaning
    to the user.
    
    It's caused by maybe_deallocvt returning the ret_val of state_exists
    when the tested (here: console) file isn't found. This absence of this file
    seems not to do any harm therefore the escalation of the ret_val 1 is
    deprecated.
    
    Solution: just tell maybe_deallocvt to return 0 in the above case.
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=554959

commit aa049b6e8d757579c2727a63fd09ee80c3a30ea4
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:52:33 2009 -0600

    Bump version number to 1.2.6

commit 51afe0cac4d540116c48949f65e16c141d6b0ade
Merge: 054668a 6014e54
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:51:04 2009 -0600

    Merge branch 'master' into pm-utils-1.2

commit 6014e54b7f007109616965ff601ff05ea6fc397a
Merge: 504faf0 6691c51
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:26:39 2009 -0600

    Merge commit 'remotes/UPSTREAM/master'

commit 504faf0a0c31cbdbc03a608cf633d58f12e49eb7
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:21:45 2009 -0600

    Make kernel modesetting detection a little smarter.
    
    It turns out that the method we were using to detect kernel modesetting
    support was not very accurate.  It turns out there is no bulletproof way
    for us to tell if KMS is being used, but Michael Biebl found a way that
    sucks less than out current method.  Hopefully the framebuffer drivers
    will grow a flag in sysfs somewhere that tells us that KMS is in use.

commit 6691c51d58951c328e08e50087b354ceb2c4f3db
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Jul 6 20:22:52 2009 +0200

    Revert "Fix a bashism ('==')"
    
    This reverts commit f3821f3479a58a8453bf9219fb5933fd99b5c1a8.
    
    The fix was actually bogus and a false-positive of checkbashisms.

commit f3821f3479a58a8453bf9219fb5933fd99b5c1a8
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Wed Jul 1 17:33:08 2009 +0200

    Fix a bashism ('==')
    
    See Debian bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=530164

commit d517615e97a4180854418369b54a65adfed6ddca
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Wed Jul 1 16:52:54 2009 +0200

    Fix syntax for shell configuration variables.
    
    See Debian bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=528726

commit 7c6748634774dc97049d9c6a38633b9983a10435
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Wed Jul 1 16:51:52 2009 +0200

    Update comment to reflect current state

commit b01d306fbba7dd8d7ab68a5a8c850472e9273277
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 13 21:01:17 2009 -0500

    Make is_set checking more explicit
    
    If is_set is not one of the usual boolean values, return 2.

commit f66326636dd93afc115c64fc3320a6c2ef424a22
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed May 6 18:34:11 2009 -0500

    Update places where we check for booleans to use is_set
    
    Suprisingly, there are not that many.

commit 2daad8297459f68fc5ad0fd4b0a2aa8ba918621d
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed May 6 18:14:07 2009 -0500

    Add is_set function to make checking boolean variables easier.
    
    The definition of a boolean variable is one that is set to "true", "yes" "1",
    or that is set to the null value.

commit c66b32116b95a22beea22a9210241cf5244b3e47
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Thu Apr 23 17:15:33 2009 +0200

    Fix a few typos in the documentation
    
    See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=525253

commit e5cdb5bb6a573a36b0c872c889c8b8f25009cc45
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Fri Apr 17 00:23:46 2009 +0200

    Fix typo in have_kms()
    
    The function is correctly called add_parameters.
    Debian bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=524243

commit 054668a461347514034b88eef24f902b69d55d5b
Merge: e6fd079 46e3db3
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Apr 11 07:45:20 2009 -0500

    Merge branch 'master' into pm-utils-1.2

commit 46e3db3d321579217edbea90c1ddf6f98ea1f38b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Apr 11 07:43:58 2009 -0500

    Use sched_smt_power_savings.
    
    There is no sched_smp_power_savings tunable.
    
    Thanks, Michael Biebl!

commit e6fd0796858826bfc4404672d0234fb15789f8f2
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Apr 3 13:49:15 2009 -0500

    Bump revision number

commit ab9399236ff33e9b22dbc18d01566609689c859a
Merge: 813c1e4 11176a7
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Apr 3 13:48:21 2009 -0500

    Merge branch 'master' into pm-utils-1.2

commit 11176a7d37f6a0854c8d9e338d972299589788dd
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Apr 3 13:42:01 2009 -0500

    We should not need to chvt when suspending using KMS

commit a79d16300c662080caf1775f1cf68f1be4049716
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Apr 3 13:39:55 2009 -0500

    Add KMS support to 98-smart-kernel-video
    
    Also factor some things out to make 98-smart-kernel-video shorter.

commit 584f08dc12fada69dbe1948a61cfc4b179b40eda
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Apr 3 13:27:56 2009 -0500

    Move chvt handling into 99video
    
    This prepares for adding kernel modesetting support.

commit 813c1e4e07b9a1ccd887c0eacdb714cf5715fd5c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Feb 8 17:23:37 2009 -0600

    Bump version number for pm-utils 1.2.4

commit 4755f6754b1a80db775676f7d485da0ee725a0c1
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jan 30 04:51:50 2009 -0600

    Make CHASSIS_TYPE always have Unknown if we cannot determine the chassis type.

commit 328c2016b4adf0fc04de43f79c66c1477abdae3f
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jan 26 06:50:13 2009 -0600

    Resolve fd.o bug# 19658
    
    modunload was not unloading dependent modules correctly due to
    incorrect string handling.  Fix provided by zak.kipling@cantab.net.

commit 67ac2ed11b44df8f5405ee1c424f2073193aca5e
Merge: cdf3765 df99431
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jan 26 06:24:33 2009 -0600

    Merge commit 'UPSTREAM/master'

commit df99431ba8ee5a2a5b552f32950ae98eec9757d2
Author: Dan Nicholson <dbn.lists@gmail.com>
Date:   Sun Jan 18 11:20:47 2009 -0800

    Match gentoo message "started" when checking for running services
    
    Gentoo uses the convention of printing the message "started" when
    showing the status of services. Augment stopservice() to check this in
    addition to "running". This also drops the unnecessary -c argument from
    the grep command.
    
    Signed-off-by: Dan Nicholson <dbn.lists@gmail.com>

commit cdf37656b3835da0c8476460076b03785e0b9758
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Dec 15 13:55:32 2008 -0600

    Fix broken quirk handling introduced by auto-quirk debugging change.

commit 8cadf34e33592697a2fca23b81f3ce640c79e762
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 14 13:36:16 2008 -0600

    Document PM_DEBUG and PM_PROFILE

commit 3ee39985a78ee89bae1f4c7e7865398c12ca1558
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 14 13:33:16 2008 -0600

    Profile run_hooks as well as each individual hook

commit 16531c217d0f2492d431b7f5db6c2e7b012ab648
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 14 12:15:29 2008 -0600

    Factor out run_hook to make profiling easier

commit c992f07b11dc5d77dd3de25607a7a66f1b289fd8
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 14 12:00:53 2008 -0600

    Add a profile function wrapper.
    
    This makes it easier to profile suspend/resume.  The profile function
    should work on any callable item.

commit 68e38d6e7746fe8d36d80f5b85d5b704bf49bcf2
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Dec 15 06:08:22 2008 -0600

    By default, pm-powersave does nothing with laptop-mode.
    
    So dpn't even mention it in our manpages.

commit 265fcd57fe3d09062722a7e26bde07c2851fcc1f
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 14 21:53:34 2008 -0600

    Echo the quirks we got from HAL in 00auto-quirk.
    
    This will make pm-utils slightly easier to debug.
    Thanks, Michael Biebl for the idea.

commit e3c0135899e8f1b9c27333d4641dabf9c1a562cf
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 14 15:46:39 2008 -0600

    hal-get-porperty runs just fine as a normal user

commit 2c89b8f30b1d28ad98d17783ec6c75e27c5b7514
Merge: 6f9cbbf 41be1ba
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 14 13:37:04 2008 -0600

    Merge branch 'pm-utils-1.2'

commit 41be1ba0668222efd6b3861ce2edaf1398a40364
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 11 11:06:08 2008 -0600

    Fix silly typo in pm-utils.pc.in.  Thanks, Robby!

commit 6f9cbbf628bb19f488695e7fa6c5d63d24a2eaa7
Merge: 3dc0090 74abfd9
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 11 10:06:13 2008 -0600

    Merge branch 'pm-utils-1.2'

commit 3dc009097307409f9f44522e5ece9b9f2d1bec3b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 11 10:04:50 2008 -0600

    Export the default config dir using pkgconfig.

commit 74abfd91d9aba25f1b5b8c3b9a238b426470b6e2
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Dec 5 06:15:49 2008 -0600

    Do not try to make removed hooks

commit 2c253a933218e5256427bf84460e1060b3dc0f0e
Merge: f0cf3ad 89c71b6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Dec 3 13:09:46 2008 -0600

    Merge branch 'master' into pm-utils-1.2
    
    Conflicts:
    	configure.ac

commit 89c71b6e409194cb18a5a6cf6b358d2f36957ffd
Merge: fbf72f5 618110a
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Dec 3 13:06:54 2008 -0600

    Merge branch 'maybe-pm-utils-1.2.3'

commit 618110a72da2c22e50e3a6324be2332699103cca
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Dec 1 09:26:12 2008 -0600

    Updated NEWS with major items for the 1.2 series.

commit db9fd15445ee7c2eeb873b06cf89da15442d8e67
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 30 10:19:24 2008 -0600

    Added notes on how to minimized user impact.
    
    After all, user perception of these things is our reality.

commit 7dd6fe1ae1da23e5c051ca175b2834c5e5eef7ae
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 30 08:19:00 2008 -0600

    Add more comments to uswsusp since it is being used as an example in documentation

commit 0ef31524b229174b02c51d2134b4f56636c590db
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 30 07:51:37 2008 -0600

    Describe stackable sleep modules in HOWTO.modules.

commit 3e72a7a5adb9d3b69d45dda327ed5bde5ad2eabc
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 30 09:51:38 2008 -0600

    Drop 50ntpd
    
    ntpd operates normally over a sleep/wake cycle. Stoppping and
    restarting it in a sleep hook is too adhoc. If it is essential
    that ntpd be stopped and restarted, then having NetworkManager
    do the job when interfaces go offline and come back online is
    a better way to do things.

commit d4c9650d3476643454c282b082fa45820f4d72ac
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 30 15:55:36 2008 -0600

    Drop 65alsa -- it is useless by itself.
    
    alsa drivers that support suspend/resume will save their state without it.
    
    alsa drivers that don't will need to be unloaded and reloaded as well as
    having their state saved and restored to work properly.
    
    See thread at http://mailman.alsa-project.org/pipermail/alsa-devel/2008-November/013030.html

commit 3df57b4fbce6243f27d6cbf99f53034f862a9a6e
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 30 08:37:20 2008 -0600

    Support Slackware init system.

commit 493224b1beeac0154807bcb1ac8a3007a46c435b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Nov 28 16:15:15 2008 -0600

    90clock takes over a second to run on suspend.
    
    Most systems do not need it.  Add NEED_CLOCK_SYNC, and only run hwclock
    if it is set.  This will probably go away entirely in a later release.

commit 6eb53f4de576e9a569d9019f3398c23438c2cfa5
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 29 08:52:41 2008 -0600

    Bump revision number

commit 199a735563e7f1f7146b1c0c7eb1fc3aa854a956
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 30 18:19:12 2008 -0600

    Remove 55battery
    
    HAL has handled rescanning the batteries since mid 2006.

commit 2886a5de8fad097e21d4edb75de1eafecf70e718
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Oct 20 21:28:18 2008 -0500

    Modified pm-utils.pc.in to make autoconf intergration easier
    
    This adds pm_sleephooks, pm_powerhooks, and pm_sleepmodules to the values that
    pkg-config can return.

commit fbf72f5fd7a685c79c858e2e400096fb65a8667e
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 29 08:52:41 2008 -0600

    Bump revision number

commit 290fb463ea2d9628a1b724d83d34a96c84b025c6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Nov 28 16:53:37 2008 -0600

    Don't try to build 55battery anymore

commit 74aead833bfc3ea7429e15938f7f836f0eb5f010
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Nov 28 16:15:15 2008 -0600

    90clock takes over a second to run on suspend.
    
    Most systems do not need it.  Add NEED_CLOCK_SYNC, and only run hwclock
    if it is set.  This should eventually turn into a quirk.

commit 6e577968119b8997233b98620dd5a740c16d2412
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Nov 27 07:59:02 2008 -0600

    HAL has handled this since mid 2006.

commit ab813bbbc25a88c726045b53d97b3a776f0a726c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Oct 29 14:30:15 2008 -0500

    Added dbus_send helper function.
    
    This function works just like dbus-send, but returns $NA if the command
    fails for any reason.  Also modified hooks to use dbus_send where applicable.

commit 6c9f2959a36e608e4d1f71230a9eaaa77940c54e
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Tue Oct 7 03:23:25 2008 +0200

    Reset acpi_video_flags before suspend.
    
    If no --quirk-s3-* option is passed to pm-suspend, set acpi_video_flags
    to 0. This allows to reliably test different set of quirks and clears
    any flags that were set via the kernel boot option. We deliberately
    ignore the kernel acpi_sleep option, quirks should be set via HAL.

commit f0cf3adb37fd06e7cbb882c9ab4ba35da28a3531
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Oct 6 05:51:57 2008 -0500

    pm-utils-1.2.2.1

commit 61656ae7d8404796354bf24200c75105d5ec6be7
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Oct 6 05:49:03 2008 -0500

    One last cleanup in 00auto-quirks

commit 8bb909029274930145aaa99b4b8b5447fcf323de
Merge: 78c842d 383ee6c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Oct 5 20:53:06 2008 -0500

    Merge branch 'master' into pm-utils-1.2

commit 383ee6cc45b56086e7e5ea8846a1c0adae3cc035
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Oct 5 19:35:14 2008 -0500

    Do not save quirks if we were inhibited.

commit 8125023126e165ecbe5bd01495ac30bfd94273b6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Oct 5 19:17:08 2008 -0500

    --store-quirks-as-fdi, not --save-quirks-as-fdi

commit 78a6575ae849858eb822655dd363887cfd8a8162
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Oct 5 18:42:00 2008 -0500

    Document sleep module fallback behaviour in pm-action man page.

commit 1fe13fe144d26cf827cc06b2ba164541cd4e29e9
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Oct 5 18:39:13 2008 -0500

    Document hook ordering convention in the pm-action man page.

commit 226914884fba883682fa60a40bebb3873ecde927
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Oct 5 17:41:35 2008 -0500

    Document --auto-quirks and --save-quirks-as-fdi in the pm-action man page.

commit 7fa3f446439de179ae4d4bf73481e785b93fba34
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Oct 5 17:17:21 2008 -0500

    Always reset acpi video flags in 99video on resume

commit 483cefcf0f7a9f3091bd03c7be52085f80134842
Author: Victor Lowther <victor.lowther@gmail.com>
